import type { GraphQLSchema } from 'graphql';
import type { MeshMerger, MeshMergerContext, MeshMergerOptions } from '@graphql-mesh/types';
export default class BareMerger implements MeshMerger {
    private options;
    name: string;
    private stitchingMerger;
    constructor(options: MeshMergerOptions);
    handleSingleWrappedExtendedSource(mergerCtx: MeshMergerContext): {
        schema: GraphQLSchema;
    };
    handleSingleRegularSource({ rawSources: [rawSource], typeDefs, resolvers }: MeshMergerContext): {
        schema: GraphQLSchema;
        name: string;
        executor?: import("@graphql-tools/utils").Executor;
        transforms: import("@graphql-mesh/types").MeshTransform[];
        contextVariables: Record<string, string>;
        handler: import("@graphql-mesh/types").MeshHandler;
        batch: boolean;
        merge?: Record<string, import("@graphql-tools/delegate").MergedTypeConfig>;
        createProxyingResolver: import("@graphql-tools/delegate").CreateProxyingResolverFn<any>;
    };
    getUnifiedSchema({ rawSources, typeDefs, resolvers }: MeshMergerContext): {
        schema: GraphQLSchema;
    };
}
